Package org.eclipse.net4j.connector

## Interface IConnectorEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  All Known Subinterfaces:
    `IConnectorStateEvent`

      public interface IConnectorEvent
      extends org.eclipse.net4j.util.event.IEvent

  A generic `event` fired from a `connector`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IConnector` | `getSource()` | The `IConnector` that sent this event.

- - ### Method Detail

    - #### getSource

          IConnector getSource()

      The `IConnector` that sent this event.
      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Since:
        3.0
      See Also:
        `IContainerEvent.getSource()`